/*
 *
 * \attention  This program is provided as is. You can redistribute it and/or
 * modify it. Fujitsu Semiconductor Limited accepts no responsibility or
 * liability for any errors or omissions.
 *
 * Copyright (C) 2008-2010 Fujitsu Semiconductor Limited, All Rights Reserved.
 */
/*
 FDL template Decoder header file (private)
*/

#ifndef _FAPEX_FDLFLASH_PRIV_H
#define _FAPEX_FDLFLASH_PRIV_H

#include "fapex/abst_libflash.h"

/*!
*************************************************************************
** \brief FDL BOARDIFC context structure
*************************************************************************/
typedef struct {
    int32_t id;             //!< id
    int32_t used_count;     //!< used count
#ifdef __LINUX__
    struct kref kref;       //!< kref struct
#endif

    void    *pCfdlHdl;      //!< The pointer to the CFDL context
    void    *pFAPICtxHdl;   //!< FAPI driver's context

} FAPEXFDL_FLASH_StrT;

#endif /* !_FAPEX_FDLFLASH_PRIV_H */

