/*
 *
 * \attention  This program is provided as is. You can redistribute it and/or
 * modify it. Fujitsu Semiconductor Limited accepts no responsibility or
 * liability for any errors or omissions.
 *
 * Copyright (C) 2008-2010 Fujitsu Semiconductor Limited, All Rights Reserved.
 */
/*
 CFDL header file (private)
*/
#ifndef _FAPEX_CFDL_PRIV_H
#define _FAPEX_CFDL_PRIV_H

#include "fapex.h"
#include "fapex_cfdl.h"

/*!
*************************************************************************
** \brief CFDL context structure
*************************************************************************/
typedef struct {
    struct file_operations *fop[FAPEX_MAXIMUM_MINOR+1]; //!< FDL database : A file operations (each FDL id's)
    void *pFdlContext[FAPEX_MAXIMUM_MINOR+1];           //!< FDL database : An FDL context (each FDL id's)
    void *pOsPrivate[FAPEX_MAXIMUM_MINOR+1];            //!< FDL database : internal data
    void *IOmem_Base[FAPEX_MAXIMUM_MINOR+1];
    void *pCharDevBase;
} FAPEXCFDL_StrT;

#endif /* !_FAPEX_CFDL_PRIV_H */

