/*!
*************************************************************************
**
** \file    fapex_fdlviout.h
**
** \brief   FAPex wrapper layer header file (VIOUT driver)
**
** \attention  This program is provided as is. You can redistribute it and/or
** modify it. Fujitsu Semiconductor Limited accepts no responsibility or
** liability for any errors or omissions.
**
** Copyright (C) 2009-2010 Fujitsu Semiconductor Limited, All Rights Reserved.
**
*************************************************************************
*/

#ifndef _FAPEX_FDLVIOUT_H
#define _FAPEX_FDLVIOUT_H

#include "fapex/abst_libviout.h"

/*
*************************************************************************
*************************************************************************
** Defines and Macros
*************************************************************************
*************************************************************************/

/*
*************************************************************************
*************************************************************************
** prototype for application
*************************************************************************
*************************************************************************/
int32_t FAPEXFDLVIOUT_SetLinuxFB(void *handle);

#endif /* !_FAPEX_FDLVIOUT_H */
